searchNodes=[{"ref":"SRTM.html","title":"SRTM","type":"module","doc":"SRTM is a small library that provides a simple interface to query locations on the earth for elevation data from the NASA Shuttle Radar Topography Mission (SRTM). Examples {:ok, client} = SRTM.Client.new(&quot;./cache&quot;) #=&gt; {:ok, %SRTM.Client{}} {:ok, elevation, client} = SRTM.get_elevation(client, 36.455556, -116.866667) #=&gt; {:ok, -51, %SRTM.Client{}}"},{"ref":"SRTM.html#get_elevation/3","title":"SRTM.get_elevation/3","type":"function","doc":"Queries locations on the earth for elevation data. If the corresponding file can&#39;t be found in the cache, it will be retrieved online. Returns the elevation in meters. Note: Make sure to match on the client to always use the latests client struct. Otherwise SRTM files will be re-read into memory on every call! The SRTM Files are cached in memory. Querying many coordinates at different locations on Earth may therefore take up a lot of memory space. See SRTM.Client.purge_in_memory_cache/2. Examples iex&gt; {:ok, client} = SRTM.Client.new(&quot;./cache&quot;) iex&gt; {:ok, elevation, client} = SRTM.get_elevation(client, 36.455556, -116.866667) iex&gt; elevation -51"},{"ref":"SRTM.Client.html","title":"SRTM.Client","type":"module","doc":"This module holds the client for querying elevation data."},{"ref":"SRTM.Client.html#new/2","title":"SRTM.Client.new/2","type":"function","doc":"Creates a client struct that holds configuration and parsed HGT files. If the directory at the given path doesn&#39;t exist, creates it. Options The supported options are: :sources - the SRTM source providers (defaults to AWS, ESA and USGS) Examples iex&gt; {:ok, client} = SRTM.Client.new(&quot;./cache&quot;) {:ok, %SRTM.Client{}}"},{"ref":"SRTM.Client.html#purge_in_memory_cache/2","title":"SRTM.Client.purge_in_memory_cache/2","type":"function","doc":"Removes parsed HGT files from the in-memory cache. Options The supported options are: :keep - the number of most recently used HGT files to keep (default: 0) Examples iex&gt; {:ok, client} = SRTM.Client.purge_in_memory_cache(client, keep: 1) {:ok, %SRTM.Client{}}"},{"ref":"SRTM.Client.html#t:t/0","title":"SRTM.Client.t/0","type":"opaque","doc":""},{"ref":"SRTM.Error.html","title":"SRTM.Error","type":"module","doc":"The error struct."},{"ref":"SRTM.Error.html#t:t/0","title":"SRTM.Error.t/0","type":"type","doc":""}]